uniform mat4 projection;
uniform mat4 modelview;

attribute vec3 vertexArray;
attribute vec2 texcoord0Array;

varying vec2 texcoord0;

void main(void)
{
    vec4 pos = modelview *
               vec4(vertexArray.xyz, 1);
    texcoord0 = texcoord0Array;
    gl_Position = pos;
}
