uniform vec4 color;
uniform sampler2D texture0;

varying vec2 texcoord0;
const float size = 1.0;
const float samples = size*2.0 + 1.0;

void main(void)
{
    vec4 col = vec4(0.0, 0.0, 0.0, 0.0);
    for (float x=-size; x<=size; x+=1.0)
    col += texture2D(texture0, texcoord0 + vec2(0.0, 0.002*x));
    
    gl_FragColor = vec4(col / samples);
}
