uniform vec4 color;
uniform vec4 fog_color;
uniform sampler2D texture0;

varying vec2 texcoord0;
varying float depth;

void main(void)
{
    vec4 col = texture2D(texture0, texcoord0) * color;
    if (col.a < 1.0) discard;
    gl_FragColor = vec4(col.rgb, depth);
}
