uniform mat4 projection;
uniform mat4 modelview;
uniform vec3 viewer;
uniform float far;

attribute vec4 vertexArray;
attribute vec2 texcoord0Array;

varying vec2 texcoord0;
varying float depth;

void main(void)
{
    vec4 pos = modelview * vertexArray;
    texcoord0 = texcoord0Array;

    depth = 0.75;
    gl_Position = projection * pos;
}
